.root {
    width: 100%;
    height: 100%;
    max-width: 100%;
    overflow: hidden;
    position: relative;
    display: flex;
    flex-direction: column;
    background: #000;

    &__header {
        z-index: 1200;
        position: relative;
    }

    &__main {
        flex-grow: 1;
        overflow: hidden;
        background: #1A1B1D;
        border-radius: 36px 36px 0 0;
    }

    &__footer {
        height: 30px;
        padding: 5px 0;
        text-align: center;
        line-height: size-rel(18px);
        font-size: size-rel(12px);

        a {
            color: #fff;
            text-decoration: none;
        }
    }

    &__three {
        width: 100%;
        height: 100%;
    }

    &__scale {
        right: 20px;
        z-index: 1300;
        top: calc(50% - 40px);
        position: absolute;
    }
}



.tree {
    padding: 48px;
    display: flex;
    align-items: flex-start;
    justify-content: center;

    &__start {
        width: 350px;
        height: 376px;
        margin-top: 136px;
        position: relative;
        border-radius: 10px 10px 0 0;
        border: 2px solid get-theme-color('white');
        border-bottom: none;
    }

    &__link {
        display: block;
        overflow: hidden;
        border-radius: 50%;
        border: 2px solid get-theme-color('white');

        &:hover {
            border-color: #799BFF;
        }

        &--first {
            border-color: #799BFF;
        }
    }

    &__item {
        width: 68px;
        height: 68px;
        display: block;
        font-size: 0;
        line-height: 0;
        border-radius: 50%;
        position: absolute;

        &--first {
            top: -136px;
            left: calc(50% - 43px);
            width: 86px;
            height: 86px;
            margin: 0 auto 50px auto;
        }
    }

    &__elem {
        position: relative;

        &--line {
            top: 100%;
            left: calc(50% - 1px);
            width: 2px;
            height: 50px;
            content: '';
            display: block;
            position: absolute;
            background: get-theme-color('white');
        }
    }

    &__group {
        height: 90px;
        position: absolute;
        border-radius: 10px 10px 0 0;
        border: 2px solid get-theme-color('white');
        border-bottom: none;
    }
}

.scale {
    z-index: 300;

    &--button {
        width: 50px;
        height: 50px;
        margin: 20px 0;
        display: block;
        cursor: pointer;
        position: relative;
        border-radius: 50%;
        background: rgba(255, 255, 255, 0.2);
        border: 1px solid rgba(255, 255, 255, 0);
        box-shadow: 0px 6px 8px rgba(0, 0, 0, 0.04);
        transition: .3s;

        &::after,
        &::before {
            top: 50%;
            left: 50%;
            z-index: 10;
            content: '';
            width: 20px;
            height: 2px;
            background: #fff;
            position: absolute;
            display: inline-block;
            margin: -1px 0 0 -10px;
        }

        &.scale-plus {

            &::before {
                transform: rotate(90deg);
            }
        }

        &:hover {
            transition: .3s;
            border-color: rgba(255, 255, 255, 0.9);
            transition: .3s;
        }

        &:active {
            border-color: rgba(0, 0, 0, 0.9);
        }
    }
}

.user {
    padding: 0;
    color: #fff;
    text-align: center;
    border-radius: 8px;
    overflow: visible;
    position: relative;
    margin: 80px  auto 20px auto;
    box-shadow: none;
    padding: 10px 30px 35px 30px;
    background: rgba(87, 93, 100, 0.85);

    &__avatar {
        width: 120px;
        height: 120px;
        display: block;
        overflow: hidden;
        border-radius: 50%;
        margin: -70px auto 25px auto;
    }

    &__content {
        font-size: size-rel(16px);
        line-height: size-rel(20px);
        text-align: center;
    }

    &__name {
        font-weight: 700;
        margin-bottom: 30px;
        font-size: size-rel(20px);
        line-height: size-rel(24px);
    }

    &__info {
        margin: 0 0 38px 0;
        padding: 0;
        list-style: none;

        li {
            padding: 12px 0;
            border-bottom: 1px solid rgba(255, 255, 255, 0.1);

            &:first-child {
                padding-top: 0;
            }

            &:last-child {
                padding-bottom: 0;
                border-bottom: gainsboro;
            }
        }

        &--label {
            margin-bottom: 5px;
            font-weight: 700;
            text-transform: uppercase;
        }

        &--value {
            color: rgba(255, 255, 255, 0.65);
        }
    }

    &__image {
        cursor: pointer;
        display: block;
    }

    &__slider {
        padding: 0 4px;
        position: relative;

        .swiper-slide {
            width: 100px;
        }

        &--nav {
            display: none;
        }
    }

    @include media-breakpoint-up(md) {
        width: 630px;
        padding: 10px 37px 37px 37px;

        &__avatar {
            width: 182px;
            height: 182px;
            margin-top: -106px;
        }

        &__name {
            margin-bottom: 30px;
            font-size: size-rel(24px);
            line-height: size-rel(30px);
        }

        &__info {

            li {
                padding: 15px 0;

                &:first-child {
                    padding-top: 0;
                }

                &:last-child {
                    padding-bottom: 0;
                }
            }
        }

        &__slider {

            &--nav {
                cursor: pointer;
                margin: 0;
                padding: 0;
                border: none;
                outline: none;
                top: calc(50% - 16px);
                width: 32px;
                height: 32px;
                z-index: 300;
                display: block;
                position: absolute;
                background: url("../images/chevron-left.svg") 50% 50% no-repeat;
            }

            &--prev {
                left: -32px;
            }

            &--next {
                right: -32px;
                transform: rotate(180deg);
            }
        }
    }
}

.fancybox-container {
    backdrop-filter: blur(4px);
}

.fancybox-thumbs__list a::before {
    border-color: #fff !important;
}

.fancybox-show-thumbs .fancybox-thumbs {
    background: #000;
}
